Bug 738277 - [RFE] disabling qpid on clients should be server driven
Summary: [RFE] disabling qpid on clients should be server driven
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Community
Component: qpid
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ---
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 12:59 UTC by Marian Csontos
Modified: 2014-12-08 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-28 02:19:51 UTC


Attachments (Terms of Use)

Description Marian Csontos 2011-09-14 12:59:54 UTC
== The problem ==

Currently when disabling qpid on server each client with enabled qpid must be configured manually to match server:

> Also if any beaker clients are using it, they will have to disable it
> by adding the following in their config file
>
>   QPID_BUS=False

== Suggested solution ==

This should be "server driven" and qpid-enable-client connected to non-qpid-server should fall back to XML-RPC. (I do not expect XML-RPC would be disabled.)

== How could it work ==

Client will perform initial XML-RPC to get (version, capabilities) from server and will act accordingly - for example disabling QPID.

Also, for qpid-enabled-server the qpid address could be part of the response from the server, so it is not necessary to configure it separately.

User should be still able to disable qpid in config file by adding the original snippet:

> QPID_BUS=False


Note You need to log in before you can comment on or make changes to this bug.